import{s as ke,o as Ue,n as Fe}from"../chunks/scheduler.bdbef820.js";import{S as Je,i as Ye,g as i,s,r as u,A as Ge,h as o,f as a,c as n,j as le,u as d,x as r,k as g,y as Ie,a as l,v as f,d as m,t as h,w as y}from"../chunks/index.c0aea24a.js";import{T as Xe}from"../chunks/Tip.31005f7d.js";import{C}from"../chunks/CodeBlock.6ccca92e.js";import{H as rt}from"../chunks/Heading.2eb892cb.js";function Pe(ft){let p,x="The distinction between a Hub dataset within or without a namespace only comes from the legacy sharing workflow. It does not involve any ranking, decisioning, or opinion regarding the contents of the dataset itself.";return{c(){p=i("p"),p.textContent=x},l(c){p=o(c,"P",{"data-svelte-h":!0}),r(p)!=="svelte-1qhqtdv"&&(p.textContent=x)},m(c,pt){l(c,p,pt)},p:Fe,d(c){c&&a(p)}}}function Be(ft){let p,x,c,pt,_,mt,L,se="At Hugging Face, we are on a mission to democratize good Machine Learning and we believe in the value of open source. That’s why we designed 🤗 Datasets so that anyone can share a dataset with the greater ML community. There are currently thousands of datasets in over 100 languages in the Hugging Face Hub, and the Hugging Face team always welcomes new contributions!",ht,j,ne="Dataset repositories offer features such as:",yt,Z,ie="<li>Free dataset hosting</li> <li>Dataset versioning</li> <li>Commit history and diffs</li> <li>Metadata for discoverability</li> <li>Dataset cards for documentation, licensing, limitations, etc.</li>",ct,k,oe="This guide will show you how to share a dataset that can be easily accessed by anyone.",gt,ut,$t,U,wt,F,re=`You can share your dataset with the community with a dataset repository on the Hugging Face Hub.
It can also be a private dataset if you want to control who has access to it.`,vt,J,pe=`In a dataset repository, you can either host all your data files and <a href="./repository_structure#define-your-splits-in-yaml">configure your dataset</a> to define which file goes to which split.
The following formats: CSV, TSV, JSON, JSON lines, text, Parquet, Arrow, SQLite.
The script also supports many kinds of compressed file types such as: GZ, BZ2, LZ4, LZMA or ZSTD.
For example, your dataset can be made of <code>.json.gz</code> files.`,Mt,Y,ue="On the other hand, if your dataset is not in a supported format or if you want more control over how your dataset is loaded, you can write your own dataset script.",bt,G,de=`When loading a dataset from the Hub, all the files in the supported formats are loaded, following the <a href="./repository_structure">repository structure</a>.
However if there’s a dataset script, it is downloaded and executed to download and prepare the dataset instead.`,Tt,I,fe='For more information on how to load a dataset from the Hub, take a look at the <a href="./load_hub">load a dataset from the Hub</a> tutorial.',Ht,X,Ct,P,me=`Sharing a community dataset will require you to create an account on <a href="https://huggingface.co/join" rel="nofollow">hf.co</a> if you don’t have one yet.
You can directly create a <a href="https://huggingface.co/login?next=%2Fnew-dataset" rel="nofollow">new dataset repository</a> from your account on the Hugging Face Hub, but this guide will show you how to upload a dataset from the terminal.`,xt,B,he="<li>Make sure you are in the virtual environment where you installed Datasets, and run the following command:</li>",_t,S,Lt,$,ye="<li>Login using your Hugging Face Hub credentials, and create a new dataset repository:</li>",jt,z,Zt,R,ce="Add the <code>-organization</code> flag to create a repository under a specific organization:",kt,W,Ut,q,Ft,w,ge='<li>Install <a href="https://git-lfs.github.com/" rel="nofollow">Git LFS</a> and clone your repository:</li>',Jt,N,Yt,A,$e="Here the <code>namespace</code> is either your username or your organization name.",Gt,Q,It,v,we="<li>Now is a good time to check your directory to ensure the only files you’re uploading are:</li>",Xt,V,ve='<li><p>The data files of the dataset</p></li> <li><p>The dataset card <code>README.md</code></p></li> <li><p>(optional) <code>your_dataset_name.py</code> is your dataset loading script (optional if your data files are already in the supported formats csv/jsonl/json/parquet/txt). To create a dataset script, see the <a href="dataset_script">dataset script</a> page.</p></li>',Pt,E,Bt,O,Me="You can directly upload your files to your repository on the Hugging Face Hub, but this guide will show you how to upload the files from the terminal.",St,M,be="<li>It is important to add the large data files first with <code>git lfs track</code> or else you will encounter an error later when you push your files:</li>",zt,D,Rt,b,Te="<li>(Optional) Add the dataset loading script:</li>",Wt,K,qt,T,He="<li>Verify the files have been correctly staged. Then you can commit and push your files:</li>",Nt,tt,At,et,Ce="Congratulations, your dataset has now been uploaded to the Hugging Face Hub where anyone can load it in a single line of code! 🥳",Qt,at,Vt,lt,xe='Finally, don’t forget to enrich the dataset card to document your dataset and make it discoverable! Check out the <a href="dataset_card">Create a dataset card</a> guide to learn more.',Et,st,Ot,nt,_e="Datasets used to be hosted on our GitHub repository, but all datasets have now been migrated to the Hugging Face Hub.",Dt,it,Le="The legacy GitHub datasets were added originally on our GitHub repository and therefore don’t have a namespace on the Hub: “squad”, “glue”, etc. unlike the other datasets that are named “username/dataset_name” or “org/dataset_name”.",Kt,H,te,ot,je=`Those datasets are now maintained on the Hub: if you think a fix is needed, please use their “Community” tab to open a discussion or create a Pull Request.
The code of these datasets is reviewed by the Hugging Face team.`,ee,dt,ae;return _=new rt({props:{title:"Share a dataset using the CLI",local:"share-a-dataset-using-the-cli",headingTag:"h1"}}),U=new rt({props:{title:"Add a dataset",local:"add-a-dataset",headingTag:"h2"}}),X=new rt({props:{title:"Create the repository",local:"create-the-repository",headingTag:"h3"}}),S=new C({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwbG9naW4=",highlighted:'huggingface-<span class="hljs-keyword">cli</span> login',wrap:!1}}),z=new C({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwcmVwbyUyMGNyZWF0ZSUyMHlvdXJfZGF0YXNldF9uYW1lJTIwLS10eXBlJTIwZGF0YXNldA==",highlighted:'huggingface-cli repo <span class="hljs-keyword">create</span> your_dataset_name --<span class="hljs-built_in">type</span> <span class="hljs-keyword">dataset</span>',wrap:!1}}),W=new C({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwcmVwbyUyMGNyZWF0ZSUyMHlvdXJfZGF0YXNldF9uYW1lJTIwLS10eXBlJTIwZGF0YXNldCUyMC0tb3JnYW5pemF0aW9uJTIweW91ci1vcmctbmFtZQ==",highlighted:'huggingface-cli repo <span class="hljs-keyword">create</span> your_dataset_name --<span class="hljs-built_in">type</span> <span class="hljs-keyword">dataset</span> --organization your-org-name',wrap:!1}}),q=new rt({props:{title:"Clone the repository",local:"clone-the-repository",headingTag:"h3"}}),N=new C({props:{code:"JTIzJTIwTWFrZSUyMHN1cmUlMjB5b3UlMjBoYXZlJTIwZ2l0LWxmcyUyMGluc3RhbGxlZCUwQSUyMyUyMChodHRwcyUzQSUyRiUyRmdpdC1sZnMuZ2l0aHViLmNvbSUyRiklMEFnaXQlMjBsZnMlMjBpbnN0YWxsJTBBJTBBZ2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmh1Z2dpbmdmYWNlLmNvJTJGZGF0YXNldHMlMkZuYW1lc3BhY2UlMkZ5b3VyX2RhdGFzZXRfbmFtZQ==",highlighted:`<span class="hljs-comment"># Make sure you have git-lfs installed</span>
<span class="hljs-comment"># (https://git-lfs.github.com/)</span>
git lfs install

git clone https:<span class="hljs-regexp">//</span>huggingface.co<span class="hljs-regexp">/datasets/</span>namespace/your_dataset_name`,wrap:!1}}),Q=new rt({props:{title:"Prepare your files",local:"prepare-your-files",headingTag:"h3"}}),E=new rt({props:{title:"Upload your files",local:"upload-your-files",headingTag:"h3"}}),D=new C({props:{code:"Y3AlMjAlMkZzb21ld2hlcmUlMkZkYXRhJTJGKi5qc29uJTIwLiUwQWdpdCUyMGxmcyUyMHRyYWNrJTIwKi5qc29uJTBBZ2l0JTIwYWRkJTIwLmdpdGF0dHJpYnV0ZXMlMEFnaXQlMjBhZGQlMjAqLmpzb24lMEFnaXQlMjBjb21taXQlMjAtbSUyMCUyMmFkZCUyMGpzb24lMjBmaWxlcyUyMg==",highlighted:`cp <span class="hljs-string">/somewhere/data/</span>*<span class="hljs-string">.json</span> .
git lfs track *<span class="hljs-string">.json</span>
git add <span class="hljs-string">.gitattributes</span>
git add *<span class="hljs-string">.json</span>
git commit -m <span class="hljs-string">&quot;add json files&quot;</span>`,wrap:!1}}),K=new C({props:{code:"Y3AlMjAlMkZzb21ld2hlcmUlMkZkYXRhJTJGbG9hZF9zY3JpcHQucHklMjAuJTBBZ2l0JTIwYWRkJTIwLS1hbGw=",highlighted:`<span class="hljs-keyword">cp</span> /somewhere/data/load_script.<span class="hljs-keyword">py</span> .
git <span class="hljs-built_in">add</span> --<span class="hljs-keyword">all</span>`,wrap:!1}}),tt=new C({props:{code:"Z2l0JTIwc3RhdHVzJTBBZ2l0JTIwY29tbWl0JTIwLW0lMjAlMjJGaXJzdCUyMHZlcnNpb24lMjBvZiUyMHRoZSUyMHlvdXJfZGF0YXNldF9uYW1lJTIwZGF0YXNldC4lMjIlMEFnaXQlMjBwdXNo",highlighted:`git <span class="hljs-built_in">status</span>
git commit -m <span class="hljs-string">&quot;First version of the your_dataset_name dataset.&quot;</span>
git <span class="hljs-built_in">push</span>`,wrap:!1}}),at=new C({props:{code:"ZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJuYW1lc3BhY2UlMkZ5b3VyX2RhdGFzZXRfbmFtZSUyMik=",highlighted:'<span class="hljs-attribute">dataset</span> <span class="hljs-operator">=</span> load_dataset(<span class="hljs-string">&quot;namespace/your_dataset_name&quot;</span>)',wrap:!1}}),st=new rt({props:{title:"Datasets on GitHub (legacy)",local:"datasets-on-github-legacy",headingTag:"h2"}}),H=new Xe({props:{$$slots:{default:[Pe]},$$scope:{ctx:ft}}}),{c(){p=i("meta"),x=s(),c=i("p"),pt=s(),u(_.$$.fragment),mt=s(),L=i("p"),L.textContent=se,ht=s(),j=i("p"),j.textContent=ne,yt=s(),Z=i("ul"),Z.innerHTML=ie,ct=s(),k=i("p"),k.textContent=oe,gt=s(),ut=i("a"),$t=s(),u(U.$$.fragment),wt=s(),F=i("p"),F.textContent=re,vt=s(),J=i("p"),J.innerHTML=pe,Mt=s(),Y=i("p"),Y.textContent=ue,bt=s(),G=i("p"),G.innerHTML=de,Tt=s(),I=i("p"),I.innerHTML=fe,Ht=s(),u(X.$$.fragment),Ct=s(),P=i("p"),P.innerHTML=me,xt=s(),B=i("ol"),B.innerHTML=he,_t=s(),u(S.$$.fragment),Lt=s(),$=i("ol"),$.innerHTML=ye,jt=s(),u(z.$$.fragment),Zt=s(),R=i("p"),R.innerHTML=ce,kt=s(),u(W.$$.fragment),Ut=s(),u(q.$$.fragment),Ft=s(),w=i("ol"),w.innerHTML=ge,Jt=s(),u(N.$$.fragment),Yt=s(),A=i("p"),A.innerHTML=$e,Gt=s(),u(Q.$$.fragment),It=s(),v=i("ol"),v.innerHTML=we,Xt=s(),V=i("ul"),V.innerHTML=ve,Pt=s(),u(E.$$.fragment),Bt=s(),O=i("p"),O.textContent=Me,St=s(),M=i("ol"),M.innerHTML=be,zt=s(),u(D.$$.fragment),Rt=s(),b=i("ol"),b.innerHTML=Te,Wt=s(),u(K.$$.fragment),qt=s(),T=i("ol"),T.innerHTML=He,Nt=s(),u(tt.$$.fragment),At=s(),et=i("p"),et.textContent=Ce,Qt=s(),u(at.$$.fragment),Vt=s(),lt=i("p"),lt.innerHTML=xe,Et=s(),u(st.$$.fragment),Ot=s(),nt=i("p"),nt.textContent=_e,Dt=s(),it=i("p"),it.textContent=Le,Kt=s(),u(H.$$.fragment),te=s(),ot=i("p"),ot.textContent=je,ee=s(),dt=i("p"),this.h()},l(t){const e=Ge("svelte-u9bgzb",document.head);p=o(e,"META",{name:!0,content:!0}),e.forEach(a),x=n(t),c=o(t,"P",{}),le(c).forEach(a),pt=n(t),d(_.$$.fragment,t),mt=n(t),L=o(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1m51ibv"&&(L.textContent=se),ht=n(t),j=o(t,"P",{"data-svelte-h":!0}),r(j)!=="svelte-gtv90y"&&(j.textContent=ne),yt=n(t),Z=o(t,"UL",{"data-svelte-h":!0}),r(Z)!=="svelte-zqgp8p"&&(Z.innerHTML=ie),ct=n(t),k=o(t,"P",{"data-svelte-h":!0}),r(k)!=="svelte-rtv0ay"&&(k.textContent=oe),gt=n(t),ut=o(t,"A",{id:!0}),le(ut).forEach(a),$t=n(t),d(U.$$.fragment,t),wt=n(t),F=o(t,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1pfms5m"&&(F.textContent=re),vt=n(t),J=o(t,"P",{"data-svelte-h":!0}),r(J)!=="svelte-f4whbq"&&(J.innerHTML=pe),Mt=n(t),Y=o(t,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1h42yb6"&&(Y.textContent=ue),bt=n(t),G=o(t,"P",{"data-svelte-h":!0}),r(G)!=="svelte-nicgaz"&&(G.innerHTML=de),Tt=n(t),I=o(t,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1plsdsl"&&(I.innerHTML=fe),Ht=n(t),d(X.$$.fragment,t),Ct=n(t),P=o(t,"P",{"data-svelte-h":!0}),r(P)!=="svelte-4n3ovs"&&(P.innerHTML=me),xt=n(t),B=o(t,"OL",{"data-svelte-h":!0}),r(B)!=="svelte-no58hj"&&(B.innerHTML=he),_t=n(t),d(S.$$.fragment,t),Lt=n(t),$=o(t,"OL",{start:!0,"data-svelte-h":!0}),r($)!=="svelte-1qvn5ax"&&($.innerHTML=ye),jt=n(t),d(z.$$.fragment,t),Zt=n(t),R=o(t,"P",{"data-svelte-h":!0}),r(R)!=="svelte-16wjg87"&&(R.innerHTML=ce),kt=n(t),d(W.$$.fragment,t),Ut=n(t),d(q.$$.fragment,t),Ft=n(t),w=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(w)!=="svelte-np5on1"&&(w.innerHTML=ge),Jt=n(t),d(N.$$.fragment,t),Yt=n(t),A=o(t,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1wxm46p"&&(A.innerHTML=$e),Gt=n(t),d(Q.$$.fragment,t),It=n(t),v=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(v)!=="svelte-iqmqff"&&(v.innerHTML=we),Xt=n(t),V=o(t,"UL",{"data-svelte-h":!0}),r(V)!=="svelte-15c3gu4"&&(V.innerHTML=ve),Pt=n(t),d(E.$$.fragment,t),Bt=n(t),O=o(t,"P",{"data-svelte-h":!0}),r(O)!=="svelte-cme1ef"&&(O.textContent=Me),St=n(t),M=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(M)!=="svelte-49tecq"&&(M.innerHTML=be),zt=n(t),d(D.$$.fragment,t),Rt=n(t),b=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(b)!=="svelte-1ojbo4a"&&(b.innerHTML=Te),Wt=n(t),d(K.$$.fragment,t),qt=n(t),T=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(T)!=="svelte-vuwyrv"&&(T.innerHTML=He),Nt=n(t),d(tt.$$.fragment,t),At=n(t),et=o(t,"P",{"data-svelte-h":!0}),r(et)!=="svelte-1ozhy9p"&&(et.textContent=Ce),Qt=n(t),d(at.$$.fragment,t),Vt=n(t),lt=o(t,"P",{"data-svelte-h":!0}),r(lt)!=="svelte-i3t8dc"&&(lt.innerHTML=xe),Et=n(t),d(st.$$.fragment,t),Ot=n(t),nt=o(t,"P",{"data-svelte-h":!0}),r(nt)!=="svelte-pu6ne"&&(nt.textContent=_e),Dt=n(t),it=o(t,"P",{"data-svelte-h":!0}),r(it)!=="svelte-1anb33z"&&(it.textContent=Le),Kt=n(t),d(H.$$.fragment,t),te=n(t),ot=o(t,"P",{"data-svelte-h":!0}),r(ot)!=="svelte-f3dn15"&&(ot.textContent=je),ee=n(t),dt=o(t,"P",{}),le(dt).forEach(a),this.h()},h(){g(p,"name","hf:doc:metadata"),g(p,"content",Se),g(ut,"id","upload_dataset_repo"),g($,"start","2"),g(w,"start","3"),g(v,"start","4"),g(M,"start","5"),g(b,"start","6"),g(T,"start","7")},m(t,e){Ie(document.head,p),l(t,x,e),l(t,c,e),l(t,pt,e),f(_,t,e),l(t,mt,e),l(t,L,e),l(t,ht,e),l(t,j,e),l(t,yt,e),l(t,Z,e),l(t,ct,e),l(t,k,e),l(t,gt,e),l(t,ut,e),l(t,$t,e),f(U,t,e),l(t,wt,e),l(t,F,e),l(t,vt,e),l(t,J,e),l(t,Mt,e),l(t,Y,e),l(t,bt,e),l(t,G,e),l(t,Tt,e),l(t,I,e),l(t,Ht,e),f(X,t,e),l(t,Ct,e),l(t,P,e),l(t,xt,e),l(t,B,e),l(t,_t,e),f(S,t,e),l(t,Lt,e),l(t,$,e),l(t,jt,e),f(z,t,e),l(t,Zt,e),l(t,R,e),l(t,kt,e),f(W,t,e),l(t,Ut,e),f(q,t,e),l(t,Ft,e),l(t,w,e),l(t,Jt,e),f(N,t,e),l(t,Yt,e),l(t,A,e),l(t,Gt,e),f(Q,t,e),l(t,It,e),l(t,v,e),l(t,Xt,e),l(t,V,e),l(t,Pt,e),f(E,t,e),l(t,Bt,e),l(t,O,e),l(t,St,e),l(t,M,e),l(t,zt,e),f(D,t,e),l(t,Rt,e),l(t,b,e),l(t,Wt,e),f(K,t,e),l(t,qt,e),l(t,T,e),l(t,Nt,e),f(tt,t,e),l(t,At,e),l(t,et,e),l(t,Qt,e),f(at,t,e),l(t,Vt,e),l(t,lt,e),l(t,Et,e),f(st,t,e),l(t,Ot,e),l(t,nt,e),l(t,Dt,e),l(t,it,e),l(t,Kt,e),f(H,t,e),l(t,te,e),l(t,ot,e),l(t,ee,e),l(t,dt,e),ae=!0},p(t,[e]){const Ze={};e&2&&(Ze.$$scope={dirty:e,ctx:t}),H.$set(Ze)},i(t){ae||(m(_.$$.fragment,t),m(U.$$.fragment,t),m(X.$$.fragment,t),m(S.$$.fragment,t),m(z.$$.fragment,t),m(W.$$.fragment,t),m(q.$$.fragment,t),m(N.$$.fragment,t),m(Q.$$.fragment,t),m(E.$$.fragment,t),m(D.$$.fragment,t),m(K.$$.fragment,t),m(tt.$$.fragment,t),m(at.$$.fragment,t),m(st.$$.fragment,t),m(H.$$.fragment,t),ae=!0)},o(t){h(_.$$.fragment,t),h(U.$$.fragment,t),h(X.$$.fragment,t),h(S.$$.fragment,t),h(z.$$.fragment,t),h(W.$$.fragment,t),h(q.$$.fragment,t),h(N.$$.fragment,t),h(Q.$$.fragment,t),h(E.$$.fragment,t),h(D.$$.fragment,t),h(K.$$.fragment,t),h(tt.$$.fragment,t),h(at.$$.fragment,t),h(st.$$.fragment,t),h(H.$$.fragment,t),ae=!1},d(t){t&&(a(x),a(c),a(pt),a(mt),a(L),a(ht),a(j),a(yt),a(Z),a(ct),a(k),a(gt),a(ut),a($t),a(wt),a(F),a(vt),a(J),a(Mt),a(Y),a(bt),a(G),a(Tt),a(I),a(Ht),a(Ct),a(P),a(xt),a(B),a(_t),a(Lt),a($),a(jt),a(Zt),a(R),a(kt),a(Ut),a(Ft),a(w),a(Jt),a(Yt),a(A),a(Gt),a(It),a(v),a(Xt),a(V),a(Pt),a(Bt),a(O),a(St),a(M),a(zt),a(Rt),a(b),a(Wt),a(qt),a(T),a(Nt),a(At),a(et),a(Qt),a(Vt),a(lt),a(Et),a(Ot),a(nt),a(Dt),a(it),a(Kt),a(te),a(ot),a(ee),a(dt)),a(p),y(_,t),y(U,t),y(X,t),y(S,t),y(z,t),y(W,t),y(q,t),y(N,t),y(Q,t),y(E,t),y(D,t),y(K,t),y(tt,t),y(at,t),y(st,t),y(H,t)}}}const Se='{"title":"Share a dataset using the CLI","local":"share-a-dataset-using-the-cli","sections":[{"title":"Add a dataset","local":"add-a-dataset","sections":[{"title":"Create the repository","local":"create-the-repository","sections":[],"depth":3},{"title":"Clone the repository","local":"clone-the-repository","sections":[],"depth":3},{"title":"Prepare your files","local":"prepare-your-files","sections":[],"depth":3},{"title":"Upload your files","local":"upload-your-files","sections":[],"depth":3}],"depth":2},{"title":"Datasets on GitHub (legacy)","local":"datasets-on-github-legacy","sections":[],"depth":2}],"depth":1}';function ze(ft){return Ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qe extends Je{constructor(p){super(),Ye(this,p,ze,Be,ke,{})}}export{Qe as component};
